# $Revision: 1.44.2.1 $, $Date: 2006/11/06 18:21:31 $
Summary:	OPIE suite of programs
Summary(pl):	Zestaw programw do OPIE
Name:		opie
Version:	2.4
Release:	11
Epoch:		1
License:	NRL/TIN
Group:		Applications/System
Source0:	http://inner.net/pub/opie/%{name}-%{version}.tar.gz
# Source0-md5:	d46e0ff8cc721a287892192dc4e7b7e1
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-ttyname.patch
Patch2:		%{name}-bison.patch
Patch3:		%{name}-acfix.patch
Patch4:		%{name}-errno.patch
Patch5:		%{name}-suse.patch
Patch6:		%{name}-uint4.patch
URL:		http://inner.net/opie
BuildRequires:	autoconf >= 2.52
BuildRequires:	bison
Requires:	%{name}-libs = %{epoch}:%{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The OPIE suite of programs.

OPIE is an implementation of the One-Time Password (OTP) System that
is being considered for the Internet standards-track. OPIE provides a
one-time password system. The system should be secure against the
passive attacks now commonplace on the Internet (see RFC 1704 for more
details). The system is vulnerable to active dictionary attacks,
though these are not widespread at present and can be detected through
proper use of system audit software.

%description -l pl
Zestaw programw do OPIE.

OPIE jest implementacj One-Time Password (OTP) System - systemu hase
jednorazowych. Powinien on by odporny na popularne w Internecie ataki
pasywne (zobacz RFC 1704). Jest on podatny na ataki sownikowe, ktre
nie s aktualnie szeroko rozpowszechnione.

%package libs
Summary:	OPIE shared libraries
Summary(pl):	Biblioteki wspdzielone OPIE
Group:		Libraries
Conflicts:	%{name} < 2.4-2

%description libs
OPIE (One-Time Password System) shared libraries.

%description libs -l pl
Biblioteki wspdzielone OPIE (systemu hase jednorazowych).

%package devel
Summary:	Headers for developing OPIE enabled programs
Summary(pl):	Nagwki do tworzenia programw z obsug OPIE
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}
Requires:	filesystem >= 2.0-1

%description devel
Headers for developing OPIE enabled programs.

%description devel -l pl
Pliki nagwkowe potrzebne do tworzenia programw z obsug OPIE.

%package static
Summary:	OPIE static libraries
Summary(pl):	Statyczne biblioteki OPIE
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}

%description static
OPIE staic libraries.

%description static -l pl
Statyczne biblioteki OPIE.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0

%build
%{__autoconf}
%configure \
	--enable-access-file=%{_sysconfdir}/opie/access \
	--enable-user-locking=/var/lib/opie \
	--enable-insecure-override

%{__make} DEBUG="%{rpmcflags} " \
	KEY_FILE=%{_sysconfdir}/opie/keys

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/opie,%{_sbindir},%{_libdir},%{_includedir}/security,/var/lib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	KEY_FILE=%{_sysconfdir}/opie/keys

install opie.h $RPM_BUILD_ROOT%{_includedir}/security

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/opieinfo
%attr(755,root,root) %{_bindir}/opiekey
%attr(755,root,root) %{_bindir}/otp-*
%attr(4755,root,root) %{_bindir}/opiepasswd
%attr(4755,root,root) %{_sbindir}/opiesu
%attr(4755,root,root) %{_sbindir}/opielogin
%attr(750,root,root) %{_sbindir}/opieftpd
%dir %attr(700,root,root) /var/lib/opie
%{_mandir}/man*/*

%files libs
%defattr(644,root,root,755)
%doc BUG-REPORT README COPYRIGHT.NRL License.TIN
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_sysconfdir}/opie
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/opie/keys

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/security/opie.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: opie.spec,v $
Revision 1.44.2.1  2006/11/06 18:21:31  glen
- AC-branch due filesystem version mismatch

Revision 1.44  2006/10/27 18:17:30  qboosh
- updated dep for /usr/include/security (FHS -> filesystem); release 11

Revision 1.43  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.42  2006/07/01 11:36:43  qboosh
- updated acfix patch to build with autoconf 2.60, release 10

Revision 1.41  2005/12/13 14:11:32  glen
- adapterized (sorted %verify attrs)

Revision 1.40  2005/01/23 20:43:52  nail2k
- Release: 9
- file permission fix; URL fix
- added configure option

Revision 1.39  2004/09/25 11:20:54  radek
- cosmetics (spaces -> tabs)

Revision 1.38  2004/01/29 21:04:36  jajcus
- Release: 8

Revision 1.37  2003/12/18 23:22:26  arekm
- audit patches from suse

Revision 1.36  2003/11/13 14:24:04  qboosh
- updated acfix patch for ac 2.58; release 7

Revision 1.35  2003/08/25 08:57:02  mmazur
- rel 6 for ac

Revision 1.34  2003/07/26 16:44:28  qboosh
- more changes in makefile patch (use -fPIC for .so and only for .so)
- -devel R: FHS with /usr/include/security dir
- release 5

Revision 1.33  2003/07/20 17:07:32  areq
- Release:        4, rebuild

Revision 1.32  2003/07/11 12:28:24  ankry
- URL fixes and other cosmetics

Revision 1.31  2003/06/27 13:10:48  mmazur
- mass commit; now req: name = epoch:version

Revision 1.30  2003/06/26 14:26:10  mmazur
- -fPIC only on alpha

Revision 1.29  2003/06/26 13:25:43  mmazur
- added -fPIC to CFLAGS as my alpha blew up
- we realy should keep in mind that forcing our options is not always the best
  idea. Yes - some authors know better.

Revision 1.28  2003/05/25 11:00:56  malekith
- massive attack, adding Source-md5

Revision 1.27  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/03/06 07:04:47  trojan
- added errno patch

Revision 1.25  2003/01/11 11:52:37  qboosh
- added bison patch - now builds with 1.875
- added acfix patch - ac rebuild needed to get rid of unnecessary -lnsl

Revision 1.24  2003/01/07 10:33:48  trojan
- oops, typo

Revision 1.23  2003/01/07 10:32:15  trojan
- added BuildConflicts: bison <= 1.875

Revision 1.22  2002/12/26 16:55:26  radek
- added opie-ttyname.patch, checking result of ttyname(0)

Revision 1.21  2002/11/20 20:48:50  qboosh
- changed makefile patch (use cc instead of ld to link .so) to avoid glibc
  compatibility problems
- release 3

Revision 1.20  2002/10/14 15:57:24  mmazur
- use new %%doc

Revision 1.19  2002/03/17 13:51:56  qboosh
- separated libs package - now -devel can be installed without any suid-root
  binaries
- release 2

Revision 1.18  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:14:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/08/09 20:48:51  qboosh
- adapterized, fixes in pl translations
- BuildRequires bison instead of byacc
- Epoch: 1 to allow upgrade from 0:2.32

Revision 1.14  2001/08/08 23:09:16  blues
- 2.4
- some translations
- %configure2_13 for now...
- little cosmetics in %files
- patches merged into open makefile.patch

Revision 1.12  2001/08/08 20:57:05  blues
- Release 7
- URL found
- %configure2_13 used

Revision 1.11  2001/05/30 08:28:28  kloczek
- relase 6.

Revision 1.10  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.9  2001/01/25 20:03:42  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.8  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.7  2000/11/22 18:59:40  kloczek
- release 5: added byacc to BuildRequires.

Revision 1.6  2000/10/12 05:13:14  kloczek
- release 4: use new rpm automation.

Revision 1.5  2000/08/22 10:47:35  kloczek
- release 3,
- added gethostname_is_in_libc_aka_no_libnsl patch - this causes not
  linking with libnsl.

Revision 1.4  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/05/21 00:14:05  kloczek
- spec adapterized.

Revision 1.2  2000/05/11 05:47:29  kloczek
- release 2,
- addes static subpackage,
- spec adapterized.

Revision 1.1  2000/04/25 13:10:23  baggins
- PLD compliant spec
